Skip to main content
POST
/
api
/
{session}
/
groups
/
{id}
/
admin
/
promote
Promote participants to admin users
curl --request POST \
  --url https://{host}/api/{session}/groups/{id}/admin/promote \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "participants": [
    {
      "id": "123456789@c.us"
    }
  ]
}
'
{
  "success": true,
  "message": "Participants promoted to admin successfully"
}

Documentation Index

Fetch the complete documentation index at: https://docs.wappfy.com.br/llms.txt

Use this file to discover all available pages before exploring further.

Description

This endpoint allows promoting group participants to admins.

URL Parameters

session
string
required
WhatsApp unique session ID
id
string
required
Group ID in format 120363XXXXX@g.us

Body

{
  "participants": [
    "5511999999999@s.whatsapp.net"
  ]
}

Body Parameters

PropertyTypeRequiredDescription
participantsarray✅ YesArray of JIDs of the participants to be promoted. Format: ["5511999999999@s.whatsapp.net"]

Response

{
  "success": true,
  "message": "Participants promoted to admin successfully"
}

Status Codes

  • 200 - Participants promoted successfully
  • 400 - Invalid parameters
  • 401 - Unauthorized
  • 403 - No permission (admins only)
  • 404 - Group not found

Usage Example

curl -X POST https://api.wappfy.com.br/api/my-session/groups/120363XXXXX@g.us/admin/promote \
  -H "Content-Type: application/json" \
  -d '{
    "participants": ["5511999999999@s.whatsapp.net"]
  }'

Authorizations

apikey
string
header
required

Your Wappfy API key (get it at dash.wappfy.com.br)

Path Parameters

id
string
required

ID do Grupo

Body

application/json
participants
object[]
required

Response

200 - undefined